Subject: Re: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa

From: Robert Pluim <[email-masked]>
Date: Thu, 27 Jan 2022 15:23:30 +0100

>>>>> On Thu, 27 Jan 2022 21:59:44 +0800, Po Lu <[email-masked]> said:

    Po> Robert Pluim <[email-masked]> writes:
    >> Please let's apply this. Please. Pretty please. Pretty please with sugar on
    >> top. Please.

    Po> It breaks the fix for bug#53276 and probably the GNUstep build as well.

So it does (and my patch contains an unrelated hunk, I probably
applied to an unclean tree).

    Po> I don't use macOS and have no opinion about the feature in general, but
    Po> before applying it please give me a heads up, so I can fix bug#53276
    Po> again afterwards.

It makes macOS consistent with other platforms. Anything that can
improve macOS' atrocious window handling is welcome.

We can try to retain the fix for 53276. Iʼd appreciate a hint :-)

Robert
--